/*
 * user.c
 *
 *  Created on: 2 июн. 2023 г.
 *    Author: Andrey Koryagin https://blog.avislab.com/
 */

#include "u_foc.h"
#include "position.h"

extern volatile SettingsStruct Settings;

void USER_Init(void) {

}

void USER_While(void) {
	HAL_Delay(10);
}

void USER_Tasks(void) {

}


#ifdef USER_PROTOCOL_ENABLE

extern uint8_t PACKET_REQUEST[PACKET_LENGTH];
extern uint8_t PACKET_RESPONSE[PACKET_LENGTH];

uint8_t USER_Packet_Handling(void) {


	return 0;
}

#endif
